package com.yanzhu.flowable.domain.my;

import com.yanzhu.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


/**
 * <p>工作流项目单位关系<p>
 *
 * @author JiangYuQi
 * @date 2024-02-23
 */
@Data
@ApiModel("工作流项目单位关系")
public class FlowDeptVo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** 流程定义主键 */
    private String procdefId;

    /** 流程定义类型 */
    private String prtype;

    /** 流程定义单位 */
    private Long deptId;

    /** 流程定义项目 */
    private Long projId;

    /** 流程定义排序 */
    private String sort;

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("procdefId", getProcdefId())
                .append("prtype", getPrtype())
                .append("deptId", getDeptId())
                .append("projId", getProjId())
                .append("sort", getSort())
                .toString();
    }
}
